GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtBbl Class Reference
Control Flow Inspection

< Sequence of pointers to edges between basic blocks More...

`#include <igt_cfg.h>`

## Public Member Functions
virtual BblId | Id () const =0
| Return unique identifier of this BBL.
virtual uint32_t | Size () const =0
| Return size of this BBL in bytes.
virtual bool | IsEntry () const =0
| Return true if this BBL is an entry point to CFG.
virtual bool | IsEot () const =0
| Return true if this BBL ends with a EOT instruction.
virtual bool | HasFallThrough () const =0
| Return true if this BBL has fall-through path.
virtual InsSpan | Instructions () const =0
| Return sequence of instructions in this BBL.
virtual bool | IsEmpty () const =0
| Return true, if this BBL ia empty.
virtual uint32_t | NumIns () const =0
| Return number of instructions in this BBL.
virtual const IGtIns & | FirstIns () const =0
| Return first instruction.
virtual const IGtIns & | LastIns () const =0
| Return last instruction.
virtual EdgeSpan | IncomingEdges () const =0
| Return sequence of incoming edges.
virtual EdgeSpan | OutgoingEdges () const =0
| Return sequence of outgoing edges.

## Detailed Description

< Sequence of pointers to edges between basic blocks

Class that represents a basic block in the Control Flow Graph

Availability:
  - IGtTool::OnKernelBuild

## Member Function Documentation

virtual const IGtIns& gtpin::IGtBbl::FirstIns | ( |  | ) | const`[pure virtual]`

Return first instruction.

Precondition:
  BBL is not empty

virtual const IGtIns& gtpin::IGtBbl::LastIns | ( |  | ) | const`[pure virtual]`

Return last instruction.

Precondition:
  BBL is not empty

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT